QGIS Application - Feature request #21991
2019-05-03 02:34 PM - Saber Razmjooei

Status: Closed

Priority: Low

Assignee: Peter Petrik

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 29806
Description

Add html file to view tiles.

Associated revisions

Revision 6d9b40f6 - 2019-05-18 11:34 AM - Peter Petrik

add TMS (fix #21987)and HTML output (fix #21991) for tilesxyz. Split to 2 algorithms (directory and MBTiles)

History

#1 - 2019-05-14 10:28 AM - Peter Petrik

- Status changed from Open to In Progress

- Assignee set to Peter Petrik

#2 - 2019-05-14 11:47 AM - Alessandro Pasotti
What is this about?

I'm asking because I'm working on WFS3 and I'm going to include a simple template engine in order to produce HTML views for the .html responses.

Please get in touch with me to coordinate efforts in case you need a template engine too.

#3 - 2019-05-14 12:18 PM - Peter Petrik

| think this is different. When you create your XYZ-tiles you want a simplest html/leaflet page to see the result.

#4 - 2019-05-14 12:29 PM - Alessandro Pasotti

ok, thanks for the explanation, how you going to generate the required HTML ?

| think that a template stored in the filesystem (that also has the advantage to be user-overrideable) might be a good choice, if you need more than a couple
of simple string substitutions, a template engine might be of help.

#5 - 2019-05-15 01:06 PM - Peter Petrik
- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/10007
https://github.com/qgis/QGIS/pull/10007

#6 - 2019-05-18 11:34 AM - Peter Petrik
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|6d9b40f634d9d3158a887a1994558621bc2271eb.
